## org.eclipse.m2m.atl.profiler.model
Interface ExecutionError

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ExecutionErrorImpl

    public interface ExecutionError

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Execution Error'.

The following features are supported:

- `Message`
- `Error`
- `Frames`

See Also:
  `ModelPackage.getExecutionError()`

Method Summary
`java.lang.String` `getError()` Returns the value of the 'Error' attribute
`java.lang.String` `getFrames()` Returns the value of the 'Frames' attribute
`java.lang.String` `getMessage()` Returns the value of the 'Message' attribute
`void` `setError(java.lang.String value)` Sets the value of the '`Error`' attribute
`void` `setFrames(java.lang.String value)` Sets the value of the '`Frames`' attribute
`void` `setMessage(java.lang.String value)` Sets the value of the '`Message`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMessage

    java.lang.String getMessage()

  Returns the value of the 'Message' attribute.

  If the meaning of the 'Message' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Message' attribute.
  See Also:
    `setMessage(String)`, `ModelPackage.getExecutionError_Message()`

### setMessage

    void setMessage(java.lang.String value)

  Sets the value of the '`Message`' attribute.

  Parameters:
    `value` - the new value of the 'Message' attribute.
  See Also:
    `getMessage()`

### getError

    java.lang.String getError()

  Returns the value of the 'Error' attribute.

  If the meaning of the 'Error' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Error' attribute.
  See Also:
    `setError(String)`, `ModelPackage.getExecutionError_Error()`

### setError

    void setError(java.lang.String value)

  Sets the value of the '`Error`' attribute.

  Parameters:
    `value` - the new value of the 'Error' attribute.
  See Also:
    `getError()`

### getFrames

    java.lang.String getFrames()

  Returns the value of the 'Frames' attribute.

  If the meaning of the 'Frames' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Frames' attribute.
  See Also:
    `setFrames(String)`, `ModelPackage.getExecutionError_Frames()`

### setFrames

    void setFrames(java.lang.String value)

  Sets the value of the '`Frames`' attribute.

  Parameters:
    `value` - the new value of the 'Frames' attribute.
  See Also:
    `getFrames()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.